package com.qmth.distributed.print.business.bean.dto.open;

import java.util.List;

public class PaperEvaluation {

    private String moduleType;
    private String interpret;
    private String remark;
    private List<SecondaryDimensionLevelDefine> secondaryDimensionLevelDefineList;
    private String formula;
    private List<ModuleEvaluation> moduleEvaluationList;

    public String getModuleType() {
        return moduleType;
    }

    public void setModuleType(String moduleType) {
        this.moduleType = moduleType;
    }

    public String getInterpret() {
        return interpret;
    }

    public void setInterpret(String interpret) {
        this.interpret = interpret;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<SecondaryDimensionLevelDefine> getSecondaryDimensionLevelDefineList() {
        return secondaryDimensionLevelDefineList;
    }

    public void setSecondaryDimensionLevelDefineList(List<SecondaryDimensionLevelDefine> secondaryDimensionLevelDefineList) {
        this.secondaryDimensionLevelDefineList = secondaryDimensionLevelDefineList;
    }

    public String getFormula() {
        return formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }

    public List<ModuleEvaluation> getModuleEvaluationList() {
        return moduleEvaluationList;
    }

    public void setModuleEvaluationList(List<ModuleEvaluation> moduleEvaluationList) {
        this.moduleEvaluationList = moduleEvaluationList;
    }

    public static class SecondaryDimensionLevelDefine{
        private String define;
        private String level;
        private String max;
        private String min;
        private String scope;

        public String getDefine() {
            return define;
        }

        public void setDefine(String define) {
            this.define = define;
        }

        public String getLevel() {
            return level;
        }

        public void setLevel(String level) {
            this.level = level;
        }

        public String getMax() {
            return max;
        }

        public void setMax(String max) {
            this.max = max;
        }

        public String getMin() {
            return min;
        }

        public void setMin(String min) {
            this.min = min;
        }

        public String getScope() {
            return scope;
        }

        public void setScope(String scope) {
            this.scope = scope;
        }
    }

    public static class ModuleEvaluation{
        private String advice;
        private String levelCode;
        private String levelName;
        private String result;
        private String scope;

        public String getAdvice() {
            return advice;
        }

        public void setAdvice(String advice) {
            this.advice = advice;
        }

        public String getLevelCode() {
            return levelCode;
        }

        public void setLevelCode(String levelCode) {
            this.levelCode = levelCode;
        }

        public String getLevelName() {
            return levelName;
        }

        public void setLevelName(String levelName) {
            this.levelName = levelName;
        }

        public String getResult() {
            return result;
        }

        public void setResult(String result) {
            this.result = result;
        }

        public String getScope() {
            return scope;
        }

        public void setScope(String scope) {
            this.scope = scope;
        }
    }
}
